<?php
  ///////////////////////////////////////////////////
  //2011 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////
require_once "../utils/chlang.php";

  $title=$titlepage = $TEXT['book-title'];

  require_once "../config_a.php";
  require_once "../utils/functions.php";
  require_once "../utils/top_adm.php";

  if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

  if(empty($_GET['book_id'])) {puterror($result2['skin'],$TEXT['error-book5']); require_once "../utils/bottom_adm.php"; exit();}
  if(strlen($_GET['book_id'])>12) {puterror($result2['skin'],$TEXT['error-book6']); require_once "../utils/bottom_adm.php"; exit();}
  if(strlen($_GET['cicle_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm.php"; exit();}
  
  $_GET['book_id'] = rep($_GET['book_id']);
  $_GET['cicle_id'] = rep($_GET['cicle_id']);

  //*************************************
  //Информация для лога
  $query_body = "SELECT tbl_book.book_name, tbl_cicle.cicle
     FROM tbl_book
     JOIN tbl_cicle ON tbl_book.cicle_id=tbl_cicle.cicle_id
     WHERE tbl_book.book_id = '".$_GET['book_id']."'";
     $result_body = mysqli_query($dbcnx,$query_body);
     if(!$result_body) {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm.php"; exit();}
      $result_body_book= mysqli_fetch_array($result_body);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-cicle3'];
  $what = $TEXT['book-name2']."&laquo;".$result_body_book['book_name']."&raquo;".$TEXT['log-book10']."&laquo;".$result_body_book['cicle']."&raquo;";
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************

  $query = "UPDATE `tbl_book` SET `cicle_id` = 1 WHERE `book_id`='".$_GET['book_id']."'";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
           echo "<html><head>
                 <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=book-srch.php?cicle_id=".$_GET['cicle_id']."' />
                 </head></html>";
           }  else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  }  else {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm.php"; exit();}
  require_once "../utils/bottom_adm.php";
?>